<?php

namespace EventPortal\Domain\Form\Facades;

use EventPortal\Domain\Form\Factories\FormFactory;
use Illuminate\Support\Facades\Facade;

/**
 * @method Form create(string $modelClass)
 * @method Form store(string $modelClass)
 * @method Form edit(HasFields $model)
 * @method Form update(HasFields $model)
 * @method Form display(HasFields $model)
 * @method Form make(string $argument)
 */
class Form extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return FormFactory::class;
    }
}
