<?php

namespace EventPortal\Http\Controllers\Auth;

use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Inertia\Inertia;
use Inertia\Response;

class LoginController extends Controller
{
    public function index(): Response
    {
        return Inertia::render('Login/Index');
    }

    public function logout(): RedirectResponse
    {
        auth()->logout();

        return redirect()->route('login.index');
    }
}
